Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosTrading::Admin Interface Reference

`import "CosTrading.idl";`

Inheritance diagram for CosTrading::Admin:

[legend]
Collaboration diagram for CosTrading::Admin:

[legend]
List of all members.

## Public Types
typedef sequence< octet > | OctetSeq
## Public Methods
unsigned long | set_def_search_card (in unsigned long value)
unsigned long | set_max_search_card (in unsigned long value)
unsigned long | set_def_match_card (in unsigned long value)
unsigned long | set_max_match_card (in unsigned long value)
unsigned long | set_def_return_card (in unsigned long value)
unsigned long | set_max_return_card (in unsigned long value)
unsigned long | set_max_list (in unsigned long value)
boolean | set_supports_modifiable_properties (in boolean value)
boolean | set_supports_dynamic_properties (in boolean value)
boolean | set_supports_proxy_offers (in boolean value)
unsigned long | set_def_hop_count (in unsigned long value)
unsigned long | set_max_hop_count (in unsigned long value)
FollowOption | set_def_follow_policy (in FollowOption policy)
FollowOption | set_max_follow_policy (in FollowOption policy)
FollowOption | set_max_link_follow_policy (in FollowOption policy)
TypeRepository | set_type_repos (in TypeRepository repository)
OctetSeq | set_request_id_stem (in OctetSeq stem)
void | list_offers (in unsigned long how_many, out OfferIdSeq ids, out OfferIdIterator id_itr) raises (NotImplemented)
void | list_proxies (in unsigned long how_many, out OfferIdSeq ids, out OfferIdIterator id_itr) raises (NotImplemented)
## Public Attributes
readonly attribute OctetSeq | request_id_stem

## Member Typedef Documentation

typedef sequence<octet> CosTrading::Admin::OctetSeq

## Member Function Documentation

void CosTrading::Admin::list_offers | ( | in unsigned long | how_many,
|  | out OfferIdSeq | ids,
|  | out OfferIdIterator | id_itr
| ) | raises (NotImplemented)

void CosTrading::Admin::list_proxies | ( | in unsigned long | how_many,
|  | out OfferIdSeq | ids,
|  | out OfferIdIterator | id_itr
| ) | raises (NotImplemented)

FollowOption CosTrading::Admin::set_def_follow_policy | ( | in FollowOption | policy | ) |

unsigned long CosTrading::Admin::set_def_hop_count | ( | in unsigned long | value | ) |

unsigned long CosTrading::Admin::set_def_match_card | ( | in unsigned long | value | ) |

unsigned long CosTrading::Admin::set_def_return_card | ( | in unsigned long | value | ) |

unsigned long CosTrading::Admin::set_def_search_card | ( | in unsigned long | value | ) |

FollowOption CosTrading::Admin::set_max_follow_policy | ( | in FollowOption | policy | ) |

unsigned long CosTrading::Admin::set_max_hop_count | ( | in unsigned long | value | ) |

FollowOption CosTrading::Admin::set_max_link_follow_policy | ( | in FollowOption | policy | ) |

unsigned long CosTrading::Admin::set_max_list | ( | in unsigned long | value | ) |

unsigned long CosTrading::Admin::set_max_match_card | ( | in unsigned long | value | ) |

unsigned long CosTrading::Admin::set_max_return_card | ( | in unsigned long | value | ) |

unsigned long CosTrading::Admin::set_max_search_card | ( | in unsigned long | value | ) |

OctetSeq CosTrading::Admin::set_request_id_stem | ( | in OctetSeq | stem | ) |

boolean CosTrading::Admin::set_supports_dynamic_properties | ( | in boolean | value | ) |

boolean CosTrading::Admin::set_supports_modifiable_properties | ( | in boolean | value | ) |

boolean CosTrading::Admin::set_supports_proxy_offers | ( | in boolean | value | ) |

TypeRepository CosTrading::Admin::set_type_repos | ( | in TypeRepository | repository | ) |

## Member Data Documentation

readonly attribute OctetSeq CosTrading::Admin::request_id_stem

The documentation for this interface was generated from the following file:

- CosTrading.idl